%define		plugin	check_ssl_cert
Summary:	Nagios plugin to check the CA and validity of an X.509 certificate
Summary(pl.UTF-8):	Wtyczka Nagiosa sprawdzająca CA i ważność certyfikatu X.509
Name:		nagios-plugin-%{plugin}
Version:	1.121.0
Release:	1
License:	GPL v3
Group:		Networking
Source0:	https://github.com/matteocorti/check_ssl_cert/releases/download/v%{version}/check_ssl_cert-%{version}.tar.gz
# Source0-md5:	659dae04a5770fd916f70547a9d9a3b6
Source1:	check_ssl_cert.cfg
URL:		https://github.com/matteocorti/check_ssl_cert/wiki
BuildRequires:	rpm >= 4.4.9-56
Requires:	expect
Requires:	file
Requires:	nagios-common
Requires:	openssl-tools >= 0.9.8i-3
Requires:	perl-TimeDate
Requires:	perl-base
Requires:	sed >= 4.0
Requires:	which
Suggests:	ca-certificates-update
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_sysconfdir	/etc/nagios/plugins
%define		plugindir	%{_prefix}/lib/nagios/plugins

%description
check_ssl_cert is a Nagios plugin to check X.509 certificates. It
checks if the server is running and delivers a valid certificate. It
also checks if the CA matches a given pattern, and checks the
validity.

%description -l pl.UTF-8
Wtyczka Nagiosa sprawdzająca certyfikaty X.509. Wtyczka ta sprawdza
czy serwer działa poprawnie oraz czy dostarcza ważny certyfikat.
Dodatkowo sprawdza czy CA pasuje do określonego wzorca i weryfikuje
jego poprawność.

%prep
%setup -q -n %{plugin}-%{version}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_sysconfdir},%{plugindir},%{_mandir}/man1}
install -p %{plugin} $RPM_BUILD_ROOT%{plugindir}/%{plugin}
cp -p %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/%{plugin}.cfg
cp -p check_ssl_cert.1 $RPM_BUILD_ROOT%{_mandir}/man1

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS COPYRIGHT INSTALL NEWS README.md TODO VERSION
%attr(640,root,nagios) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/%{plugin}.cfg
%attr(755,root,root) %{plugindir}/%{plugin}
%{_mandir}/man1/check_ssl_cert.1*
%changelog
* Tue Jul 28 2020 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/nagios-plugin-check_ssl_cert.git;a=log;h=master

* Tue Jul 28 2020 Arkadiusz Miśkiewicz <arekm@maven.pl> 690cfb7
- up to 1.121.0

* Tue Mar 31 2020 Arkadiusz Miśkiewicz <arekm@maven.pl> c00d40a
- rel 2; add option --ignore-ocsp-timeout

* Tue Mar 31 2020 Arkadiusz Miśkiewicz <arekm@maven.pl> 8d7d56d
- up to 1.110

* Thu Nov 28 2019 Arkadiusz Miśkiewicz <arekm@maven.pl> a0870a4
- up to 1.106

* Thu Oct 24 2019 Arkadiusz Miśkiewicz <arekm@maven.pl> 9015c6f
- up to 1.101.0

* Sat Sep 21 2019 Arkadiusz Miśkiewicz <arekm@maven.pl> 9d2e7dd
- up to 1.90.0

* Mon Jan 21 2019 Arkadiusz Miśkiewicz <arekm@maven.pl> bd580ca
- rel 2; use default, openssl library path

* Mon Jan 21 2019 Arkadiusz Miśkiewicz <arekm@maven.pl> add5385
- up to 1.80.1

* Thu Dec 13 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> bb1c191
- up to 1.79.0

* Sat Dec 01 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> e20cbc6
- up to 1.78.0

* Sun Mar 18 2018 Elan Ruusamäe <glen@pld-linux.org> a84f1d3
- up to 1.63.0

* Thu Dec 14 2017 Elan Ruusamäe <glen@pld-linux.org> 9876bd3
- up to 1.59.0

* Thu Nov 16 2017 Elan Ruusamäe <glen@pld-linux.org> e261145
- up to 1.55.0

* Sun Sep 10 2017 Elan Ruusamäe <glen@pld-linux.org> 3342f11
- up to 1.53.0

* Sat Sep 09 2017 Elan Ruusamäe <glen@pld-linux.org> 897ae53
- 1.52.0: The SAN requirement check is now optional

* Mon Jul 31 2017 Elan Ruusamäe <glen@pld-linux.org> 90a906d
- up to 1.51.0

* Mon Jul 17 2017 Elan Ruusamäe <glen@pld-linux.org> 494c70f
- 1.49.0: Support for OpenSSL 1.1

* Sun Jun 25 2017 Elan Ruusamäe <glen@pld-linux.org> ea6fb22
- up to 1.48.0

* Sat Jun 17 2017 Elan Ruusamäe <glen@pld-linux.org> 2b768bb
- up to 1.47.0

* Mon May 15 2017 Elan Ruusamäe <glen@delfi.ee> 741ee5a
- up to 1.46.0

